Update a contact
curl --request PATCH \
--url https://app.gaintrace.com/api/v1/contacts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "[email protected]",
"externalId": "<string>",
"phone": "<string>",
"role": "<string>",
"isChampion": true,
"linkedinUrl": "<string>",
"avatarUrl": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: '[email protected]',
externalId: '<string>',
phone: '<string>',
role: '<string>',
isChampion: true,
linkedinUrl: '<string>',
avatarUrl: '<string>'
})
};
fetch('https://app.gaintrace.com/api/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.gaintrace.com/api/v1/contacts/{id}"
payload = {
"name": "<string>",
"email": "[email protected]",
"externalId": "<string>",
"phone": "<string>",
"role": "<string>",
"isChampion": True,
"linkedinUrl": "<string>",
"avatarUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "[email protected]",
"externalId": "<string>",
"phone": "<string>",
"role": "<string>",
"contactRole": "decision_maker",
"isChampion": true,
"linkedinUrl": "<string>",
"avatarUrl": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"engagementScore": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "bad_request",
"message": "Invalid JSON body",
"doc_url": "https://docs.gaintrace.com/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header",
"doc_url": "https://docs.gaintrace.com/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "Insufficient scope: write:companies required",
"doc_url": "https://docs.gaintrace.com/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "Company not found",
"doc_url": "https://docs.gaintrace.com/errors#not_found"
}
}{
"error": {
"code": "conflict",
"message": "A contact with this email already exists in the workspace",
"doc_url": "https://docs.gaintrace.com/errors#conflict"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "Request validation failed. name: name is required",
"doc_url": "https://docs.gaintrace.com/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Maximum 120 requests per minute per API key.",
"doc_url": "https://docs.gaintrace.com/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "Something went wrong. Try again in a moment.",
"doc_url": "https://docs.gaintrace.com/errors#internal_server_error"
}
}{
"error": {
"code": "service_unavailable",
"message": "We had trouble reaching the database. Try again in a moment.",
"doc_url": "https://docs.gaintrace.com/errors#service_unavailable"
}
}{
"error": {
"code": "gateway_timeout",
"message": "The request timed out. Try again in a moment.",
"doc_url": "https://docs.gaintrace.com/errors#gateway_timeout"
}
}Contacts
Update a contact
Update mutable contact fields.
Scope: write:contacts
PATCH
/
contacts
/
{id}
Update a contact
curl --request PATCH \
--url https://app.gaintrace.com/api/v1/contacts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "[email protected]",
"externalId": "<string>",
"phone": "<string>",
"role": "<string>",
"isChampion": true,
"linkedinUrl": "<string>",
"avatarUrl": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: '[email protected]',
externalId: '<string>',
phone: '<string>',
role: '<string>',
isChampion: true,
linkedinUrl: '<string>',
avatarUrl: '<string>'
})
};
fetch('https://app.gaintrace.com/api/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.gaintrace.com/api/v1/contacts/{id}"
payload = {
"name": "<string>",
"email": "[email protected]",
"externalId": "<string>",
"phone": "<string>",
"role": "<string>",
"isChampion": True,
"linkedinUrl": "<string>",
"avatarUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "[email protected]",
"externalId": "<string>",
"phone": "<string>",
"role": "<string>",
"contactRole": "decision_maker",
"isChampion": true,
"linkedinUrl": "<string>",
"avatarUrl": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"engagementScore": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "bad_request",
"message": "Invalid JSON body",
"doc_url": "https://docs.gaintrace.com/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header",
"doc_url": "https://docs.gaintrace.com/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "Insufficient scope: write:companies required",
"doc_url": "https://docs.gaintrace.com/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "Company not found",
"doc_url": "https://docs.gaintrace.com/errors#not_found"
}
}{
"error": {
"code": "conflict",
"message": "A contact with this email already exists in the workspace",
"doc_url": "https://docs.gaintrace.com/errors#conflict"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "Request validation failed. name: name is required",
"doc_url": "https://docs.gaintrace.com/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Maximum 120 requests per minute per API key.",
"doc_url": "https://docs.gaintrace.com/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "Something went wrong. Try again in a moment.",
"doc_url": "https://docs.gaintrace.com/errors#internal_server_error"
}
}{
"error": {
"code": "service_unavailable",
"message": "We had trouble reaching the database. Try again in a moment.",
"doc_url": "https://docs.gaintrace.com/errors#service_unavailable"
}
}{
"error": {
"code": "gateway_timeout",
"message": "The request timed out. Try again in a moment.",
"doc_url": "https://docs.gaintrace.com/errors#gateway_timeout"
}
}Authorizations
Bearer API key. Secret server keys start with gt_live_; client-safe browser keys start with gt_pub_ (write-only, origin-pinned). Create and scope keys in Settings → API Keys.
Path Parameters
Resource UUID. For companies you may also pass ext:<externalId> to address by your external id.
Body
application/json
Any subset of the mutable contact fields.
Required string length:
1 - 255Unique per workspace.
Maximum string length:
255Maximum string length:
255Maximum string length:
50Maximum string length:
100Available options:
decision_maker, champion, end_user, billing, influencer, executive_sponsor, technical, other Maximum string length:
2000Maximum string length:
2000Response
The updated contact.
Show child attributes
Show child attributes
Last modified on July 7, 2026
Was this page helpful?
⌘I